Stock activity detail
curl --request GET \
--url https://api.sandbox.busha.so/v1/stocks/activities/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.busha.so/v1/stocks/activities/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.busha.so/v1/stocks/activities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.busha.so/v1/stocks/activities/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.busha.so/v1/stocks/activities/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.busha.so/v1/stocks/activities/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.busha.so/v1/stocks/activities/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "message for success",
"data": {
"id": "SBE_1a2b3c",
"symbol": "AAPL",
"action": "buy",
"tokens": "100",
"amount": {
"amount": "100",
"currency": "BTC"
},
"unit_price": {
"amount": "100",
"currency": "BTC"
},
"status": "completed",
"created_at": "2023-11-07T05:31:56Z",
"fees": [
{
"name": "processing_fee",
"amount": {
"amount": "100",
"currency": "BTC"
},
"type": "FIXED",
"converted_amount": {
"amount": "100",
"currency": "BTC"
}
}
],
"funding_currency": "NGN",
"funding_amount": "100"
}
}Stocks
Stock activity detail
deprecated
One stock fill (buy or sell) belonging to the authenticated profile, by its journal id. Deprecated. Use GET /v1/transactions/.
GET
/
v1
/
stocks
/
activities
/
{id}
Stock activity detail
curl --request GET \
--url https://api.sandbox.busha.so/v1/stocks/activities/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.busha.so/v1/stocks/activities/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.busha.so/v1/stocks/activities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.busha.so/v1/stocks/activities/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.busha.so/v1/stocks/activities/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.busha.so/v1/stocks/activities/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.busha.so/v1/stocks/activities/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "message for success",
"data": {
"id": "SBE_1a2b3c",
"symbol": "AAPL",
"action": "buy",
"tokens": "100",
"amount": {
"amount": "100",
"currency": "BTC"
},
"unit_price": {
"amount": "100",
"currency": "BTC"
},
"status": "completed",
"created_at": "2023-11-07T05:31:56Z",
"fees": [
{
"name": "processing_fee",
"amount": {
"amount": "100",
"currency": "BTC"
},
"type": "FIXED",
"converted_amount": {
"amount": "100",
"currency": "BTC"
}
}
],
"funding_currency": "NGN",
"funding_amount": "100"
}
}Authorizations
Bearer Authentication
Headers
User profile header
Example:
"BUS_YOK8tp5Zga01qOKEsqp07"
Path Parameters
The journal row id of the fill (e.g. SBE_1a2b3c).
Example:
"SBE_1a2b3c"